# MappableObjectProjection Class Reference
[Object projections for use in Criteria queries]

Inheritance diagram for MappableObjectProjection:
[legend]

List of all members.

## Public Member Functions

| __construct (MappableObject $mappable, $alias=null)
| process (Criteria $criteria, JoinCapableQuery $query)

## Private Attributes

| $mappable = null
| $alias = null

## Detailed Description

Definition at line 15 of file MappableObjectProjection.class.php.

## Constructor & Destructor Documentation

MappableObjectProjection::__construct | ( | MappableObject $ | mappable,
|  | $ | alias = `null` |
| ) |  |  |

Definition at line 20 of file MappableObjectProjection.class.php.

References $alias.

## Member Function Documentation

MappableObjectProjection::process | ( | Criteria $ | criteria,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  JoinCapableQuery

Implements ObjectProjection.

Definition at line 29 of file MappableObjectProjection.class.php.

References Criteria::getDao().

Here is the call graph for this function:

## Member Data Documentation

MappableObjectProjection::$alias = null`[private]`

Definition at line 18 of file MappableObjectProjection.class.php.

Referenced by __construct().

MappableObjectProjection::$mappable = null`[private]`

Definition at line 17 of file MappableObjectProjection.class.php.

The documentation for this class was generated from the following file:

- main/Criteria/Projections/MappableObjectProjection.class.php